$(document).ready ->
  $("#new_comment").on "ajax:success", (event) ->
    [data, status, xhr] = event.detail
    $("#new_article").append xhr.responseText

  channel = pusher.subscribe('comment-channel')
  channel.bind 'new-comment', (data) ->
    comment = data.comment
    div = document.getElementById('comment_section')
    div.innerHTML += "<p>#{comment}</p>"

  channel.bind 'like-count', (data) ->
    like_count = data.like
    id = data.id
    span = $(".votes-count[data-id=#{id}]")[0]
    span.innerHTML = "#{like_count}"
# ---
# generated by js2coffee 2.2.0
